Bug 4918 - PiTiVi 0.93 не запускается в Fresh R5
: PiTiVi 0.93 не запускается в Fresh R5
Status: RESOLVED DUPLICATE of bug 7526
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Stanislav Fomin
: Stanislav Fomin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-19 14:05 MSK by Stanislav Fomin
Modified: 2016-11-20 14:04 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Fomin 2015-01-19 14:05:45 MSK
0.93 не запускается 

-----
(pitivi:4719): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
Traceback (most recent call last):
  File "/usr/bin/pitivi", line 137, in <module>
    _run_pitivi()
  File "/usr/bin/pitivi", line 124, in _run_pitivi
    sys.exit(ptv.main(sys.argv))
  File "/usr/lib/python2.7/site-packages/pitivi/application.py", line 416, in main
    ptv = StartupWizardGuiPitivi(debug=options.debug)
  File "/usr/lib/python2.7/site-packages/pitivi/application.py", line 362, in __init__
    self.projectManager.newBlankProject(emission=False)
  File "/usr/lib/python2.7/site-packages/pitivi/project.py", line 429, in newBlankProject
    self.emit("new-project-loaded", self.current_project, emission)
  File "/usr/lib/python2.7/site-packages/pitivi/utils/signal.py", line 212, in emit
    *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pitivi/utils/signal.py", line 187, in emit
    res = cb(*ar, **kw)
  File "/usr/lib/python2.7/site-packages/pitivi/timeline/timeline.py", line 1391, in _projectChangedCb
    self.ruler.setProjectFrameRate(self._project.videorate)
  File "/usr/lib/python2.7/site-packages/pitivi/timeline/ruler.py", line 244, in setProjectFrameRate
    self.ns_per_frame = float(1 / self.frame_rate) * Gst.SECOND
TypeError: unsupported operand type(s) for /: 'int' and 'NoneType'

-------------

Немного поотлаживал — похоже на ошибку логики программы.

Надо брать новую версию, но 0.94 сильно сменились зависимости, теперь там python3.
Comment 1 Vladimir Potapov 2015-02-03 21:33:49 MSK
У магейи вроде есть в репах 0.94
Comment 2 Denis Silakov 2016-11-20 14:04:40 MSK

*** This bug has been marked as a duplicate of bug 7526 ***